/****************************************************************************
 * Copyright Avaya Inc., All Rights Reserved.
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Avaya Inc.
 * The copyright notice above does not evidence any actual or intended publication of such source code.
 * Some third-party source code components may have been modified from their original versions by Avaya Inc.
 * The modifications are Copyright Avaya Inc., All Rights Reserved.
 * Avaya Confidential & Restricted. May not be distributed further without written permission of
 * the Avaya owner.
 ****************************************************************************/
package com.avaya.zephyr.services.sample_services.Authorization.util;

public final class ServiceAttributeStore
{
    private static final ServiceAttributeStore INSTANCE = new ServiceAttributeStore();
    private boolean enableTokenlessAccess;
    private String sessionCookieName;
    private String clientRedirectionPath;

    private ServiceAttributeStore()
    {
    }

    public static ServiceAttributeStore getInstance()
    {
        return INSTANCE;
    }

    public boolean isEnableTokenlessAccess()
    {
        return enableTokenlessAccess;
    }

    public void setEnableTokenlessAccess(final boolean enableTokenlessAccess)
    {
        this.enableTokenlessAccess = enableTokenlessAccess;
    }

    public String getSessionCookieName()
    {
        return sessionCookieName;
    }

    public void setSessionCookieName(final String sessionCookieName)
    {
        this.sessionCookieName = sessionCookieName;
    }

    public String getClientRedirectionPath()
    {
        return clientRedirectionPath;
    }

    public void setClientRedirectionPath(final String clientRedirectionPath)
    {
        this.clientRedirectionPath = clientRedirectionPath;
    }
}
